Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Submit the normalization file

Request

Security
Bearer
Bodyapplication/json
protocolIdinteger(int32)

The database id of the protocol

stepIdinteger(int32)

The database id of the normalization step

fileNamestring or null

The name of the file

filePathstring or null

The path of the file

fileContentsstring or null

The content of the normalization file

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/protocol-run/submit-normalization-file' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "protocolId": 0,
    "stepId": 0,
    "fileName": "string",
    "filePath": "string",
    "fileContents": "string"
  }'

Responses

The normalization file was submitted successfully

Response
No content

Set the runtime sample assignment

Request

Security
Bearer
Body
stepIdinteger(int32)

The database id of the step to apply the runtime sample assignment

targetsArray of objects or null(PipetteTargetDto)

The target sample locations

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/protocol-run/rtsa' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "stepId": 0,
    "targets": [
      {
        "position": 0,
        "addresses": [
          {
            "row": 1,
            "column": 1
          }
        ]
      }
    ]
  }'

Responses

The runtime sample assignment completed successfully

Response
No content

Get the simulation speed

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocol-run/simulation-speed' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The simulation speed

Bodyapplication/json
simulationSpeedstring or null

The desired simulation speed, options are Slow, Normal, Fast, VeryFast, Ludicrous, Unknown

Response
application/json
{ "simulationSpeed": "string" }

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations